2012-01-14  Christopher Roy Bratusek <nano@tuxfamily.org>
	* rep-gtk.spec: sync with Fedora [Kim B. Heino]

2011-06-24  Christopher Roy Bratusek <nano@tuxfamily.org>
	* widgets/aboutdialog: moved GtkAboutDialog here (no change)

	* widgets/accelgroup: moved GtkAccelGroup here
			    added:
	- gtk_accel_group_get_is_locked
	- gtk_accel_group_get_modifier_mask
	- GtkAccelKey
	- GtkAccelGroupEntry

	* widgets/accelmap: added from 2.24 API
			    added:
	- gtk_accel_map_add_entry
	- gtk_accel_map_lookup_entry
	- gtk_accel_map_change_entry
	- gtk_accel_map_load
	- gtk_accel_map_save
	- gtk_accel_map_foreach
	- gtk_accel_map_load_fd
	- gtk_accel_map_save_fd
	- gtk_accel_map_lock_path
	- gtk_accel_map_unlock_path
	- gtk_accel_map_add_filter
	- gtk_accel_map_foreach_unfiltered

	* widgets/expander: updated to 2.24 API:
			    added:
	- gtk_expander_set_label_fill 
	- gtk_expander_get_label_fill 

2011-06-17  Christopher Roy Bratusek <nano@tuxfamily.org>
	* gtktree.defs: added:
	  - GtkTreeViewRowSeparatorFunc
	  - GDestroyNotify

	* gtkcombobox.defs: updated to 2.24 API
	                    added:
	  - gtk_combo_box_new_with_entry
	  - gtk_combo_box_new_with_model_and_entry
	  - gtk_combo_box_popup
	  - gtk_combo_box_popdown
	  - gtk_combo_box_set_button_sensitivity
	  - gtk_combo_box_get_button_sensitivity
	  - gtk_combo_box_get_has_entry
	  - gtk_combo_box_get_entry_text_column
	  - gtk_combo_box_set_entry_text_column
	  - gtk_combo_box_set_row_separator_func
	  - gtk_combo_box_get_row_separator_func
	  		    removed:
	  - gtk_combo_box_get_active_text
	  - gtk_combo_box_remove_text
	  - gtk_combo_box_append_text
	  - gtk_combo_box_insert_text
	  - gtk_combo_box_prepend_text

	* gtkbutton.defs: split from gtk.defs updated to 2.24 API
	                    added:
	  - gtk_button_get_event_window
	  - gtk_link_button_set_visited
	  - gtk_link_button_get_visited
	  - gtk_scale_button_get_plus_button
	  - gtk_scale_button_get_minus_button
	  - gtk_scale_button_get_popup
	  - gtk_spin_button_configure
			    removed:
	  - gtk_button_pressed
	  - gtk_button_released
	  - gtk_button_enter
	  - gtk_button_leave
	  - gtk_file_chooser_button_new_with_backend

	* Makefile.in: update

	* gtkcombobox.defs
	* gtkbutton.defs: split up into widgets/[WIDGET] files,
	easier to maintain

2011-06-13  Christopher Roy Bratusek <nano@tuxfamily.org>
	* gtk.defs: added:
	  - gtk_scale_add_mark
	  - gtk_scale_clear_marks

2011-06-11  Christopher Roy Bratusek <nano@tuxfamily.org>
	* gtk.defs: added:
	  - gtk_rc_parse_string

2011-06-02  Christopher Roy Bratusek <nano@tuxfamily.org>
	* gtkfilechooser.defs: fixed:
	  - gtk_file_chooser_set_filename
	  - gtk_file_chooser_select_filename

	* configure.in: bump GTK+ req to 2.24 // GDK req to 2.23

	* examples/hello.jl: now shows GtkComboBoxText

	* gtkcombobox.defs: removed:
	  - GtkComboBoxEntry (deprecated)
	                    added:
	  - GtkComboBoxText (complete)

2011-05-25  Christopher Roy Bratusek <nano@tuxfamily.org>
	* gdk-pixbuf.defs: added:
	  - gdk_pixbuf_new_from_file_at_size
	  - gdk_pixbuf_new_from_file_at_scale

	* gtk.defs: added:
	  - gtk_image_clear

2011-02-27  Christopher Roy Bratusek <zanghar@freenet.de>
	* configure.in: fixed a syntax-error (+=), which could create incomplete rep-gtk.pc
	                don't substitute gitdate
			don't generate debian/changelog
			don't generate debian/control

	* Makefile.in: don't remove debian/changelog
	               don't remove debian/control

	* debian/watch
	* debian/rep-gtk.install
	* debian/changelog.in
	* debian/control.in: removed

	* debian/changelog
	* debian/control
	* debian/docs: added

	* debian/rules: updated

	* debian/source/format: change to 3.0 quilt

	* debian/compat: bump version to 7

2010-08-28  Teika Kazura <teika@lavabit.com>
	* BUGS
	* HACKING
	* MAINTAINERS
	* README
	* README-GTK-2
	* README.gtk-defs: Doc update. Deleted obsolete references to
	gnome and guile. Files 'BUGS', 'HACKING' and 'MAINTAINERS' are
	merged to 'README'. File 'README-GTK-2' is deleted.

2010-08-22  Christopher Bratusek <zanghar@freenet.de>
	* gtk.defs:
	*************** gtkwidget.h *******************
	gtk_widget_set_no_show_all
	gtk_widget_get_no_show_all
	gtk_widget_queue_resize_no_redraw
	gtk_widget_set_accel_path
	gtk_widget_list_accel_closures
	gtk_widget_can_activate_accel
	gtk_widget_mnemonic_activate
	gtk_widget_send_expose
	gtk_widget_intersect
	gtk_widget_region_intersect

	* gdk.defs:
	*************** gdkregion.h ********************
	GdkFillType [enum]
	GdkOverlaType [enum]
	GdkRegion [boxed]

2010-08-21  Christopher Bratusek <zanghar@freenet.de>
	* gtk.defs:
	*************** gtkwindow.h *******************
	gtk_window_set_startup_id
	gtk_window_get_position
	gtk_window_set_focus
	gtk_window_get_focus
	gtk_window_set_opacity
	gtk_window_get_opacity
	gtk_window_set_type_hint
	gtk_window_get_type_hint
	gtk_window_set_skip_taskbar_hint
	gtk_window_get_skip_taskbar_hint
	gtk_window_set_skip_pager_hint
	gtk_window_get_skip_pager_hint
	gtk_window_set_urgency_hint
	gtk_window_get_urgency_hint
	gtk_window_set_accept_focus
	gtk_window_get_accept_focus
	gtk_window_set_focus_on_map
	gtk_window_get_focus_on_map
	gtk_window_set_gravity
	gtk_window_get_gravity
	gtk_window_set_screen
	gtk_window_get_screen
	gtk_window_is_active
	gtk_window_has_toplevel_focus
	gtk_window_get_frame_dimensions
	gtk_window_set_deletable
	gtk_window_get_deletable
	gtk_window_set_icon
	gtk_window_set_icon_name
	gtk_window_set_icon_from_file
	gtk_window_get_icon
	gtk_window_get_icon_name
	gtk_window_set_default_icon
	gtk_window_set_default_icon_name
	gtk_window_set_default_icon_from_file
	gtk_window_set_auto_startup_notification
	gtk_window_present_with_time
	gtk_window_fullscreen
	gtk_window_unfullscreen
	gtk_window_set_keep_above
	gtk_window_set_keep_below
	gtk_window_begin_resize_drag
	gtk_window_begin_move_drag
	gtk_window_get_default_size
	gtk_window_get_size
	GtkWindowGroup [object]
	gtk_window_get_group
	gtk_window_group_new
	gtk_window_group_add_window
	gtk_window_group_remove_window
	== GtkWindow 2.12 API complete ==

	* gdk.defs:
	************** gdkwindow.h ********************
	GdkWindowTypeHint [enum]
	GtkGravity [enum]
	GdkScreen [object]
	GdkWindowEdge [enum]

2010-07-24  Christopher Bratusek <zanghar@freenet.de>
	* debian/source/format: set 3.0 (native) source format

2010-02-27  Christopher Bratusek <zanghar@freenet.de>
	* gtktree.defs:
	*************** gtkliststore.h ***************
	gtk_list_store_remove
	gtk_list_store_insert
	gtk_list_store_insert_before
	gtk_list_store_insert_after
	gtk_list_store_prepend
	gtk_list_store_append
	gtk_list_store_clear
	gtk_list_store_iter_is_valid
	gtk_list_store_reorder
	gtk_list_store_swap
	gtk_list_store_move_after
	gtk_list_store_move_before
	== GtkListStore 2.12 API complete ==
	************** gtktreeview.h ******************
	GtkTreeViewColumnDropFunc [boxed]
	GtkTreeViewMappingFunc [boxed]
	GtkTreeViewSearchEqualFunc [boxed]
	GtkTreeViewDropPosition [enum]
	gtk_tree_view_append_column
	gtk_tree_view_remove_column
	gtk_tree_view_insert_column
	gtk_tree_view_get_column
	gtk_tree_view_move_column_after
	gtk_tree_view_set_expander_column
	gtk_tree_view_get_expander_column
	gtk_tree_view_set_column_drag_function
	gtk_tree_view_scroll_to_point
	gtk_tree_view_scroll_to_cell
	gtk_tree_view_row_activated
	gtk_tree_view_expand_all
	gtk_tree_view_collapse_all
	gtk_tree_view_expand_to_path
	gtk_tree_view_expand_row
	gtk_tree_view_collapse_row
	gtk_tree_view_map_expanded_rows
	gtk_tree_view_row_expanded
	gtk_tree_view_set_reorderable
	gtk_tree_view_get_reorderable
	gtk_tree_view_set_cursor
	gtk_tree_view_set_cursor_on_cell
	gtk_tree_view_get_cursor
	gtk_tree_view_get_bin_window
	gtk_tree_view_get_path_at_pos
	gtk_tree_view_get_cell_area
	gtk_tree_view_get_background_area
	gtk_tree_view_get_visible_rect
	gtk_tree_view_get_visible_range
	gtk_tree_view_enable_model_drag_source
	gtk_tree_view_enable_model_drag_dest
	gtk_tree_view_unset_rows_drag_source
	gtk_tree_view_unset_rows_drag_dest
	gtk_tree_view_set_drag_dest_row
	gtk_tree_view_get_drag_dest_row
	gtk_tree_view_get_dest_row_at_pos
	gtk_tree_view_create_row_drag_icon

	gtk.defs:
	*************** gtkselection.h ************
	GtkTargetEntry [boxed]

	gdk.defs:
	GdkDragAction [enum]
	GdkPixmap [object]
	GdkBitmap [boxed]
	build gdk_gc_set_tile
	build gdk_gc_set_stipple
	build gdk_gc_set_clip_mask

2010-02-16  Christopher Bratusek <zanghar@freenet.de>
	* ChangeLog
	* NEWS: fixed some types [Alexey I. Froloff]

	* rep-gtk.c: SCM_CDR/SCM_CAR >> rep_CDR/rep_CAR [Alexey I. Froloff]

2010-01-24  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.spec.in: improved [Kim B. Heino]

2010-01-15  Christopher Bratusek <zanghar@freenet.de>
	* gtkfilechooser.defs: fixed two typos:
		gtk_file_choose{t,r}_get_preview_widget
		gtk_file_choose{t,r}_get_extra_widget
		-- [Vincent Untz]

	* gtktree.defs: improved some functions [Vincent Untz]

	* Makefile.in: remove rep-gtk.pc upon distclean, not gitlcean

2010-01-07  Christopher Bratusek <zanghar@freenet.de>
	* *.defs
	* build-gtk.jl: revert slist >> GSList / list >> GList renamal

	* gtktree.defs:
	****************** gtktreesortable.h ************
	GtkTreeSortable (object)
	GtkTreeIterCompareFunc (boxed)
	gtk_tree_sortable_get_sort_column_id
	gtk_tree_sortable_get_sort_column_id
	gtk_tree_sortable_set_sort_func
	gtk_tree_sortable_set_default_sort_func
	gtk_tree_sortable_has_default_sort_func
	== GtkTreeSortable 2.12 API complete ==
	****************** gtkliststore.h ***************
	GtkListStore (object)
	gtk_list_store_new
	gtk_list_store_newv
	gtk_list_store_set_column_types
	gtk_list_store_append
	****************** gtktreeview.h ****************
	gtk_tree_view_append_column

2010-01-06  Christopher Bratusek <zanghar@freenet.de>
	* gtktree.defs:
	****************** gtkcellrenderertext.h ********
	GtkCellRendererText (object)
	gtk_cell_renderer_text_new
	gtk_cell_renderer_text_set_fixed_height_from_font
	== GtkCellRendererText 2.12 API complete ==
	****************** gtkcellrendererpixbuf.h *******
	GtkCellRendererPixbuf (object)
	gtk_cell_renderer_pixbuf_new
	== GtkCellRendererPixbuf 2.12 API complete ==
	****************** gtkcellrendereraccel.h ********
	GtkCellRendererAccel (object)
	GtkCellRendererAccelMode (enum)
	gtk_cell_renderer_accel_new
	== GtkCellRendererAccel 2.12 API complete ==
	****************** gtkcellrenderercombo.h ********
	GtkCellRendererCombo (object)
	gtk_cell_renderer_combo_new
	== GtkCellRendererCombo 2.12 API complete ==
	****************** gtkcellrendererprogress.h *****
	GtkCellRendererProgress (object)
	gtk_cell_renderer_progress_new
	== GtkCellRendererProgress 2.12 API complete ==
	****************** gtkcellrendererspin.h *********
	GtkCellRendererSpin (object)
	gtk_cell_renderer_spin_new
	== GtkCellRendererSpin 2.12 API complete ==
	****************** gtkcellrenderertoggle.h *******
	GtkCellRendererToggle (object)
	gtk_cell_rendere_toggle_new
	gtk_cell_renderer_toggle_set_radio
	gtk_cell_renderer_toggle_get_radio
	gtk_cell_renderer_toggle_set_active
	gtk_cell_renderer_toggle_get_active
	== GtkCellRendererToggle 2.12 API complete ==
	****************** gtktreeview.h ******************
	GtkTreeViewDropPosition (enum)
	gtk_tree_view_get_selection
	gtk_tree_view_set_hadjustment
	gtk_tree_view_get_hadjustment
	gtk_tree_view_set_vadjustment
	gtk_tree_view_get_vadjustment
	gtk_tree_view_set_headers_visible
	gtk_tree_view_get_headers_visible
	gtk_tree_view_set_headers_clickable
	gtk_tree_view_get_headers_clickable
	gtk_tree_view_columns_autosize
	gtk_tree_view_set_rules_hint
	gtk_tree_view_get_rules_hint

2010-01-05  Christopher Bratusek <zanghar@freenet.de>
	* gtktree.defs:
	****************** gtkcelleditable.h ************
	GtkCellEditable (object)
	gtk_cell_editable_start_editing
	gtk_cell_editable_editing_done
	gtk_cell_editable_remove_widget
	== GtkCellEditable 2.12 API complete ==
	****************** gtkcellrenderer.h ************
	GtkCellRenderer (object)
	GtkCellRendererState (enum)
	GtkCellRendererMode (enum)
	gtk_cell_renderer_get_size
	gtk_cell_renderer_render
	gtk_cell_renderer_activate
	gtk_cell_renderer_start_editing
	gtk_cell_renderer_stop_editing
	gtk_cell_renderer_set_fixed_size
	gtk_cell_renderer_get_fixed_size
	== GtkCellRenderer 2.12 API complete ==
	****************** gtktreeviewcolumn.h **********
	GtkTreeViewColumn (object)
	GtkTreeViewColumnSizing (enum)
	gtk_tree_view_column_new
	gtk_tree_view_column_pack_start
	gtk_tree_view_column_pack_end
	gtk_tree_view_column_clear
	gtk_tree_view_column_add_attribute
	gtk_tree_view_column_clear_attributes
	gtk_tree_view_column_set_spacing
	gtk_tree_view_column_get_spacing
	gtk_tree_view_column_set_visible
	gtk_tree_view_column_get_visible
	gtk_tree_view_column_set_resizable
	gtk_tree_view_column_get_resizable
	gtk_tree_view_column_set_sizing
	gtk_tree_view_column_get_sizing
	gtk_tree_view_column_get_width
	gtk_tree_view_column_set_fixed_width
	gtk_tree_view_column_get_fixed_width
	gtk_tree_view_column_set_min_width
	gtk_tree_view_column_get_min_width
	gtk_tree_view_column_set_max_width
	gtk_tree_view_column_get_max_width
	gtk_tree_view_column_clicked
	gtk_tree_view_column_set_title
	gtk_tree_view_column_get_title
	gtk_tree_view_column_set_expand
	gtk_tree_view_column_get_expand
	gtk_tree_view_column_set_clickable
	gtk_tree_view_column_get_clickable
	gtk_tree_view_column_set_widget
	gtk_tree_view_column_get_widget
	gtk_tree_view_column_set_alignment
	gtk_tree_view_column_get_alignment
	gtk_tree_view_column_set_reorderable
	gtk_tree_view_column_get_reorderable
	gtk_tree_view_column_set_sort_column_id
	gtk_tree_view_column_get_sort_column_id
	gtk_tree_view_column_set_sort_indicator
	gtk_tree_view_column_get_sort_indicator
	gtk_tree_view_column_set_sort_order
	gtk_tree_view_column_get_sort_order
	gtk_tree_view_column_cell_set_cell_data
	gtk_tree_view_column_cell_get_size
	gtk_tree_view_column_cell_is_visible
	gtk_tree_view_column_focus_cell
	gtk_tree_view_column_cell_get_position
	gtk_tree_view_column_queue_resize
	gtk_tree_view_column_get_tree_view
	== GtkTreeViewColumn 2.12 API complete ==

	* gtkfilechooser.defs:
	****************** gtkfilechooser.h *************
	gtk_file_chooser_set_preview_widget
	gtk_file_chooser_get_preview_widget
	gtk_file_chooser_set_preview_widget_active
	gtk_file_chooser_get_preview_widget_active
	gtk_file_chooser_set_use_preview_label
	gtk_file_chooser_get_use_preview_label
	gtk_file_chooser_get_preview_filename
	gtk_file_chooser_get_preview_uri
	gtk_file_chooser_set_extra_widget
	gtk_file_chooser_get_extra_widget
	gtk_file_chooser_add_filter
	gtk_file_chooser_remove_filter
	gtk_file_chooser_set_filter
	gtk_file_chooser_get_filter
	gtk_file_chooser_add_shortcut_folder
	gtk_file_chooser_remove_shortcut_folder
	gtk_file_chooser_add_shortcut_folder_uri
	gtk_file_chooser_remove_shortcut_folder_uri
	== GtkFileChooser 2.12 API complete ==
	****************** gtkfilefilter.h **************
	GtkFileFilter (object)
	GtkFileFilterFlags (enum)
	gtk_file_filter_new
	gtk_file_filter_set_name
	gtk_file_filter_get_name
	gtk_file_filter_add_mime_type
	gtk_file_filter_add_pattern
	gtk_file_filter_add_pixbuf_formats
	gtk_file_filter_get_needed
	== GtkFileFilter 2.12 API complete ==
	****************** gtkfilechooserwidget.h **************
	GtkFileChooserWidget (object)
	gtk_file_chooser_widget_new
	gtk_file_chooser_widget_new_with_backend
	== GtkFileChooserWidget 2.12 API complete ==

2010-01-03  Christopher Bratusek <zanghar@freenet.de>
	* debian/rules: don't remove config.{guess,sub} on rules/clean

	* rep-gtk.spec.in: don't call autogen.sh

	* rep-gtk.doap: typo fix

	* debian/changelog.in: s/+0200/+0100/

	* Makefile.in: + rename svnclean target to gitclean
	               + instead of removing generated packging-script files upon
		        `distclean', remove them on `gitclean'
		       + call fakeroot debian/rules clean

	* debian/control.in: removed debian-specific bits

	* autogen.sh: call gitclean instead of distclean

	* rep-gtk.ebuild.in: libdir already is $prefix/lib/ no need to adjust

	* gtk.defs: moved GtkFileChooserButton to gtkfilechooser.defs

	* Makefile.in: updated

	* build-gtk.jl: renamed slist type to GSList
	                renamed list type to GList

	* gtkfilechooser.defs:
	****************** gtkfilechooser.h *************
	GtkFileChooser [object]
	GtkFileChooserError [enum]
	gtk_file_chooser_set_action
	gtk_file_chooser_get_action
	gtk_file_chooser_set_local_only
	gtk_file_chooser_get_local_only
	gtk_file_chooser_set_select_multiple
	gtk_file_chooser_get_select_multiple
	gtk_file_chooser_set_show_hidden
	gtk_file_chooser_get_show_hidden
	gtk_file_chooser_set_do_overwrite_confirmation
	gtk_file_chooser_get_do_overwrite_confirmation
	gtk_file_chooser_set_filename
	gtk_file_chooser_get_filename
	gtk_file_chooser_select_filename
	gtk_file_chooser_unselect_filename
	gtk_file_chooser_select_all
	gtk_file_chooser_unselect_all
	gtk_file_chooser_set_current_folder
	gtk_file_chooser_get_current_folder
	gtk_file_chooser_set_uri
	gtk_file_chooser_get_uri
	gtk_file_chooser_select_uri
	gtk_file_chooser_unselect_uri
	gtk_file_chooser_set_current_folder_uri
	gtk_file_chooser_get_current_folder_uri

2010-01-02  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.h
	* build-gtk.jl: update for librep 0.90.5 header directory change

	* Makefile.in: install rep-gtk.h in $includedir/rep-gtk/

	* rep-gtk.pc.in
	* debian/rep-gtk.install: updated

	* configure.in: bumped minimum librep to 0.90.5

	* autogen.sh: added --nocfg flag for not running configure afterwards

	* rep-gtk.spec.in: improved [Kim B. Heino]

2009-12-29  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* debian/control.in: autogenerate debian/control

2009-12-06  Christopher Bratusek <zanghar@freenet.de>
	* gtk.defs: GtkExpander implemented
	************** gtkexpander.h *****************
	gtk_expander_new
	gtk_expander_new_with_mnemonic
	gtk_expander_set_expanded
	gtk_expander_get_expanded
	gtk_expander_set_spacing
	gtk_expander_get_spacing
	gtk_expander_set_label
	gtk_expander_get_label
	gtk_expander_set_use_underline
	gtk_expander_get_use_underline
	gtk_expander_set_use_markup
	gtk_expander_get_use_markup
	gtk_expander_set_label_widget
	gtk_expander_get_label_widget
	== GtkExpander 2.12 API complete ==

	* gtk.defs: GtkFileChooserButton implemented
	****************** gtkfilechooser.h *************
	GtkFileChooserAction (enum)
	GtkFileChooserConfirmation (enum)
	!! GtkFileChooser not complete !!
	************ gtkfilechooserbutton.h *************
	gtk_file_chooser_button_new
	gtk_file_chooser_button_new_with_backend
	gtk_file_chooser_button_new_with_dialog
	gtk_file_chooser_button_set_title
	gtk_file_chooser_button_get_title
	gtk_file_chooser_button_set_width_chars
	gtk_file_chooser_button_get_width_chars
	gtk_file_chooser_button_set_focus_on_click
	gtk_file_chooser_button_get_focus_on_click
	== GtkFileChooserButton 2.12 API complete ==

	* gtk.defs: GtkSpinButton updated
	**************** gtkspinbutton.h *****************
	gtk_spin_button_get_increments
	gtk_spin_button_get_range
	== GtkSpinButton 2.12 API complete ==

2009-12-05  Christopher Bratusek <zanghar@freenet.de>
	* configure.in
	* debian/rules: use $prefix/lib instead of $prefix/libdir

2009-10-24  Christopher Bratusek <zanghar@freenet.de>
	* debian/changelog.in
	* debian/compat
	* debian/control
	* rep-gtk.install
	* debian/rules
	* debian/watch: added debian packaging scripts based on the official ones

2009-10-09  Christopher Bratusek <zanghar@freenet.de>
	* gtk.defs: temporarily disable gtk_style_apply_default_background (breaks build)

2009-10-06  Christopher Bratusek <zanghar@freenet.de>
	* gtk.defs: merged with JH branch

2009-10-03  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.c
	* rep-gtk.h
	* build-gtk.jl: added new types [ported from guile-gtk 2.1]:
			- GdkSegment
			renamed types:
			- rect -> GdkRectangle

2009-10-02  Christopher Bratusek <zanghar@freenet.de>
	* gtkcombobox.defs: GtkComboBoxEntry implemented
	*********** gtkcomboboxentry.h ***********
	gtk_combo_box_entry_new
	gtk_combo_box_entry_new_with_model
	gtk_combo_box_entry_set_text_column
	gtk_combo_box_entry_get_text_column
	== GtkComboBoxEntry 2.12 API complete ==
	* gtk.defs:
	gtk_container_foreach_full [removed (deprecated)]
	********** gtkstyle.h *********************
	gtk_style_new
	gtk_style_copy
	gtk_style_attach
	gtk_style_set_background

2009-10-01  Christopher Bratusek <zanghar@freenet.de>
	* gtkcombobox.defs: GtkComboBox implemented
	*********** gtkcombobox.h ***********
	gtk_combo_box_new
	gtk_combo_box_new_with_model
	gtk_combo_box_set_wrap_width
	gtk_combo_box_get_wrap_width
	gtk_combo_box_set_row_span_column
	gtk_combo_box_get_row_span_column
	gtk_combo_box_set_column_span_column
	gtk_combo_box_get_column_span_column
	gtk_combo_box_set_add_tearoffs
	gtk_combo_box_get_add_tearoffs
	gtk_combo_box_set_title
	gtk_combo_box_get_title
	gtk_combo_box_set_focus_on_click
	gtk_combo_box_get_focus_on_click
	gtk_combo_box_set_active
	gtk_combo_box_get_active
	gtk_combo_box_set_active_iter
	gtk_combo_box_get_active_iter
	gtk_combo_box_set_model
	gtk_combo_box_get_model
	gtk_combo_box_append_text
	gtk_combo_box_insert_text
	gtk_combo_box_prepend_text
	gtk_combo_box_remove_text
	gtk_combo_box_get_active_text
	== GtkComboBox 2.12 API complete ==

2009-09-24  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.ebuild.in: small update

2009-09-13  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.doap: added

2009-09-12  Christopher Bratusek <zanghar@freenet.de>
	* ChangeLog: change encoding to UTF-8 [Teika Kazura]

	* Makefile.in: build with LC_ALL=C [Gentoo]

2009-09-05  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.spec.in: improved [Kim B. Heino]

2009-09-01  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: bump to 0.90.1

	* <tree>:
	sync with Jürgen Hötzels branch
	- GtkUiManager support
	- GtkAction support

2009-08-28  Christopher Bratusek <zanghar@freenet.de>
	* <tree>:
	sync with Jürgen Hötzels branch
	- GError support

2009-08-26  Christopher Bratusek <zanghar@freenet.de>
	* <tree>:
	sync with Jürgen Hötzels branch
	- basic GtkBuilder support

2009-08-22  Christopher Bratusek <zanghar@freenet.de>
	* gtk.defs:
	use tvec to make gtk_about_dialog_set_* work
	use tvec to make gtk_scale_button_new work

2009-08-07  Christopher Bratusek <zanghar@freenet.de>
	* gtktree.defs: implementing GtkTreeView [part3]
	*********** gtktreeselection.h ***********
	boxed GtkTreeSelectionFunc
	boxed GtkDestroyNotify
	gtk_tree_selection_set_select_function
	gtk_tree_selection_get_selected [not working, not compiled]

2009-08-06  Christopher Bratusek <zanghar@freenet.de>
	* gtktree.defs: implementing GtkTreeView [part2]
	*********** gtktreemodel.h ***********
	boxed GtkTreeIter
	gtk_tree_iter_copy
	gtk_tree_iter_free
	gtk_tree_iter_get_type
	boxed GtkTreePath
	gtk_tree_path_new
	gtk_tree_path_new_from_string
	gtk_tree_path_new_from_indices
	gtk_tree_path_to_string
	gtk_tree_path_new_first
	gtk_tree_path_append_index
	gtk_tree_path_prepend_index
	gtk_tree_path_get_depth
	gtk_tree_path_get_indices
	gtk_tree_path_free
	gtk_tree_path_copy
	gtk_tree_path_get_type
	gtk_tree_path_compare
	gtk_tree_path_next
	gtk_tree_path_prev
	gtk_tree_path_up
	gtk_tree_path_down
	gtk_tree_path_is_ancestor
	gtk_tree_path_is_descendant
	boxed GtkTreeRowReference
	gtk_tree_row_reference_get_type
	gtk_tree_row_reference_new
	gtk_tree_row_reference_new_proxy
	gtk_tree_row_reference_get_path
	gtk_tree_row_reference_get_model
	gtk_tree_row_reference_valid
	gtk_tree_row_reference_copy
	gtk_tree_row_reference_free
	gtk_tree_row_reference_inserted
	gtk_tree_row_reference_deleted
	gtk_tree_row_reference_reordered
	gtk_tree_model_get_iter
	gtk_tree_model_get_iter_from_string
	gtk_tree_model_get_string_from_iter
	gtk_tree_model_get_iter_first
	gtk_tree_model_get_path
	gtk_tree_model_get_value [not working, not compiled]
	gtk_tree_model_iter_next
	gtk_tree_model_iter_children
	gtk_tree_model_iter_has_child
	gtk_tree_model_iter_n_children
	gtk_tree_model_iter_nth_child
	gtk_tree_model_ref_node
	gtk_tree_model_iter_unref_node
	gtk_tree_model_get
	gtk_tree_model_get_valist
	gtk_tree_model_foreach [not working, not compiled]
	== GtkTreeModel 2.12 API complete ==
	== GtkTreeIter 2.12 API complete ==
	== GtkTreePath 2.12 API complete ==
	== GtkTreeRowReference 2.12 API complete ==

2009-08-01  Christopher Bratusek <zanghar@freenet.de>
	* build-gtk.jl: define-type GQuark (basic)
	                renamed gclosure type to GClosure
			renamed point type to GdkPoint
			renamed pointer type to GPointer
			rep-gtk has {rep,gvalue}_to_{gvalue,rep} -> make GValue accessible in .defs
			rep-gtk has {rep,arg}_to_{arg,rep} -> make GtkArg accessible in .defs

	* gtk.defs
	* gdk.defs
	* gdk-pixbuf.defs: changed accordingly

	* gtk.defs: since we now got GQuark, build gtk_accel_group_activate

	* gtk.defs: Began implementing the huge GtkTreeView
	[my life will be two years shorter then this is finished!]
	*********** gtktreemodel.h ***********
	object GtkTreeModel
	flags GtkTreeModelFlags
	*********** gtktreeselection.h *******
	object GtkTreeSelection
	gtk_tree_selection_set_mode
	gtk_tree_selection_get_mode
	gtk_tree_selection_get_user_data
	gtk_tree_selection_get_tree_view
	*********** gtktreeview.h ************
	gtk_tree_view_new
	gtk_tree_view_new_with_model
	gtk_tree_view_get_model
	gtk_tree_view_set_model

2009-07-31  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.c
	* rep-gtk.h
	* gtk.defs: moved from GTK_TYPE_* to G_TYPE_*

	* gtk.defs: gtk+ 2.12 API added:
	*********** gtkaboutdialog.h ***********
	gtk_about_dialog_new
	gtk_about_dialog_get_program_name
	gtk_about_dialog_set_program_name
	gtk_about_dialog_get_version
	gtk_about_dialog_set_version
	gtk_about_dialog_get_copyright
	gtk_about_dialog_set_copyright
	gtk_about_dialog_get_comments
	gtk_about_dialog_set_comments
	gtk_about_dialog_get_license
	gtk_about_dialog_set_license
	gtk_about_dialog_get_wrap_license
	gtk_about_dialog_set_wrap_license
	gtk_about_dialog_get_website
	gtk_about_dialog_set_website
	gtk_about_dialog_get_website_label
	gtk_about_dialog_set_website_label
	gtk_about_dialog_get_authors [not working]
	gtk_about_dialog_set_authors [not working]
	gtk_about_dialog_get_documenters [not working]
	gtk_about_dialog_set_documenters [not working]
	gtk_about_dialog_get_artists [not working]
	gtk_about_dialog_set_artists [not working]
	gtk_about_dialog_get_translator_credits
	gtk_about_dialog_set_translator_credits
	gtk_about_dialog_get_logo
	gtk_about_dialog_set_logo
	gtk_about_dialog_get_logo_icon_name
	gtk_about_dialog_set_logo_icon_name
	== GtkAboutdialog 2.12 API complete ==
	*********** gtkaccelgroup.h ***********
	gtk_accel_group_new
	gtk_accel_group_lock
	gtk_accel_group_unlock
	gtk_accel_group_connect
	gtk_accel_group_connect_by_path
	gtk_accel_group_disconnect
	gtk_accel_group_disconnect_key
	gtk_accel_group_activate [not working]
	gtk_accel_groups_activate
	gtk_accel_groups_from_object
	gtk_accel_group_find [not working]
	gtk_accel_group_from_accel_closure
	gtk_accelerator_parse
	gtk_accelerator_name
	gtk_accelerator_get_label
	gtk_accelerator_get_default_mod_mask
	gtk_accelerator_set_default_mod_mask
	gtk_accel_group_query
	== GtkAccelGroup 2.12 API complete ==
	*********** gtkaccellabel.h ***********
	gtk_accel_label_new
	gtk_accel_label_get_accel_widget
	gtk_accel_label_set_accel_widget
	gtk_accel_label_get_accel_width
	gtk_accel_label_set_accel_closure
	gtk_accel_label_refetch
	== GtkAccelLabel 2.12 API complete ==

2009-07-30  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.h
	* gtk-compat.c
	* gtk.defs: added gtk_color_button_get_color_interp (outputs a GdkColor in 6 digits hexformat)

	* rep-types.c: fix two miss-signed args

	* gtk.defs: make gtk_button_set_image work
	            make gtk_radio_button_new work
		    make gtk_radio_button_new_with_label work
		    make gtk_radio_button_new_with_mnemonic work
		    make gtk_status_icon_get_icon_name work
		    make gtk_status_icon_get_stock work
		    make gtk_font_button_get_title work
		    make gtk_font_button_get_font_name work
		    make gtk_link_button_get_uri work

2009-07-29  Christopher Bratusek <zanghar@freenet.de>
	* gtk.defs: gtk+ 2.12 API added:
	*********** gtkbutton.h ***********
	gtk_button_set_focus_on_click
	gtk_button_get_focus_on_click
	gtk_button_set_alignment
	gtk_button_get_alignment [not working, not compiled]
	gtk_button_set_image
	gtk_button_get_image
	gtk_button_set_image_position
	gtk_button_get_image_position
	Changed subtype of GtkButton from GtkContainer to GtkBin
	== GtkButton 2.12 API complete ==
	== GtkToggleButton already up-to-date ==
	== GtkCheckButton already up-to-date ==
	*********** gtkradiobutton.h ***********
	gtk_radio_button_new
	gtk_radio_button_new_with_label
	gtk_radio_button_new_with_mnemonic
	== GtkRadioButton 2.12 API complete ==
	== GtkColorButton 2.12 already up-to-date ==
	== GtkFileChooserButton needs GtkFileChooserAction first ==
	*********** gtkfontbutton.h ***********
	gtk_font_button_new
	gtk_font_button_new_with_font
	gtk_font_button_get_title
	gtk_font_button_set_title
	gtk_font_button_get_use_font
	gtk_font_button_set_use_font
	gtk_font_button_get_use_size
	gtk_font_button_set_use_size
	gtk_font_button_get_font_name
	gtk_font_button_set_font_name
	gtk_font_button_get_show_style
	gtk_font_button_set_show_style
	gtk_font_button_get_show_size
	gtk_font_button_set_show_size
	== GtkFontButton 2.12 API complete ==
	*********** gtklinkbutton.h ***********
	gtk_link_button_new
	gtk_link_button_new_with_label
	gtk_link_button_get_uri
	gtk_link_button_set_uri
	== GtkLinkButton 2.12 API complete ==
	*********** gtkscalebutton.h ***********
	gtk_scale_button_new [setting stock-icon does not work!]
	gtk_scale_button_set_icons [as above]
	gtk_scale_button_get_value
	gtk_scale_button_set_value
	gtk_scale_button_get_adjustment
	gtk_scale_button_set_adjustment
	== GtkScaleButton 2.12 API complete ==
	== GtkSpinButton already up-to-date ==
	*********** gtksvolumebutton.h ***********
	gtk_volume_button_new
	== GtkVolumeButton 2.12 API complete

2009-07-15  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: small improvement

2009-06-19  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: 0.18.6 released, bump to 0.90.0, bump minimal required
	gtk+ version to 2.12 (as I'll update the rep-gtk API to that version)

	* gtk.defs: gtk+ 2.12 API added:
	*********** gtkenums.h ***********
	GtkArrowType >> none (GTK_ARROW_NONE)
	GtkButtonBoxStyle >> center (GTK_BUTTONBOX_CENTER)
	GtkSensitivityType >> auto (GTK_SENSITIVITY_AUTO)
	GtkSensitivityType >> on (GTK_SENSITIVITY_ON)
	GtkSensitivityType >> off (GTK_SENSITIVITY_OFF)
	GtkMovementStep >> horizontal-pages (GTK_MOVEMENT_HORIZONTAL_PAGES)
	GtkScrollStep >> steps (GTK_SCROLL_STEPS)
	GtkScrollStep >> pages (GTK_SCROLL_PAGES)
	GtkScrollStep >> ends (GTK_SCROLL_ENDS)
	GtkScrollStep >> horizontal-steps (GTK_SCROLL_HORIZONTAL_STEPS)
	GtkScrollStep >> horizontal-pages (GTK_SCROLL_HORIZONTAL_PAGES)
	GtkScrollStep >> horizontal-ends (GTK_SCROLL_HORIZONTAL_ENDS)
	GtkScrollType >> page-left (GTK_SCROLL_PAGE_LEFT)
	GtkScrollType >> page-right (GTK_SCROLL_PAGE_RIGHT)
	GtkWarpMode >> word-char (GTK_WRAP_WORD_CHAR)
	GtkIMPreeditStyle >> nothing (GTK_IM_PREEDIT_NOTHING)
	GtkIMPreeditStyle >> callback (GTK_IM_PREEDIT_CALLBACK)
	GtkIMPreeditStyle >> none (GTK_IM_PREEDIT_NONE)
	GtkIMStatusStyle >> nothing (GTK_IM_STATUS_NOTHING)
	GtkIMStatusStyle >> callback (GTK_IM_STATUS_CALLBACK)
	GtkIMStatusStyle >> none (GTK_IM_STATUS_NONE)
	GtkPackDirection >> rtl (GTK_PACK_DIRECTION_RTL)
	GtkPackDirection >> ltr (GTK_PACK_DIRECTION_LTR)
	GtkPackDirection >> ttb (GTK_PACK_DIRECTION_TTB)
	GtkPackDirection >> btt (GTK_PACK_DIRECTION_BTT)
	GtkPrintPages >> all (GTK_PRINT_PAGES_ALL)
	GtkPrintPages >> current (GTK_PRINT_PAGES_CURRENT)
	GtkPrintPages >> ranges (GTK_PRINT_PAGES_RANGES)
	GtkPageSet >> all (GTK_PAGE_SET_ALL)
	GtkPageSet >> even (GTK_PAGE_SET_EVEN)
	GtkPageSet >> odd (GTK_PAGE_SET_ODD)
	GtkPageOrientation >> portrait (GTK_PAGE_ORIENTATION_PORTRAIT)
	GtkPageOrientation >> landscape (GTK_PAGE_ORIENTATION_LANDSCAPE)
	GtkPageOrientation >> reverse-portrait (GTK_PAGE_ORIENTATION_REVERSE_PORTRAIT)
	GtkPageOrientation >> reverse-landscape (GTK_PAGE_ORIENTATION_REVERSE_LANDSCAPE)
	GtkPrintQuality >> low (GTK_PRINT_QUALITY_LOW)
	GtkPrintQuality >> normal (GTK_PRINT_QUALITY_NORMAL)
	GtkPrintQuality >> high (GTK_PRINT_QUALITY_HIGH)
	GtkPrintQuality >> draft (GTK_PRINT_QUALITY_DRAFT)
	GtkUnit >> pixl (GTK_UNIT_PIXEL)
	GtkUnit >> points (GTK_UNIT_POINTS)
	GtkUnit >> inch (GTK_UNIT_INCH)
	GtkUnit >> mm (GTK_UNIT_MM)
	GtkTreeViewGridLines >> none (GTK_TREE_VIEW_GRID_LINES_NONE)
	GtkTreeViewGridLines >> horizontal (GTK_TREE_VIEW_GRID_LINES_HORIZONTAL)
	GtkTreeViewGridLines >> vertical (GTK_TREE_VIEW_GRID_LINES_VERTICAL)
	GtkTreeViewGridLines >> both (GTK_TREE_VIEW_GRID_LINES_BOTH)
	GtkDragResult >> success (GTK_DRAG_RESULT_SUCCESS)
	GtkDragResult >> no-target (GTK_DRAG_RESULT_NO_TARGET)
	GtkDragResult >> user-cancelled (GTK_DRAG_RESULT_USER_CANCELLED)
	GtkDragResult >> timeout-expired (GTK_DRAG_RESULT_TIMEOUT_EXPIRED)
	GtkDragResult >> grab-broken (GTK_DRAG_RESULT_GRAB_BROKEN)
	GtkDragResult >> error (GTK_DRAG_RESULT_ERROR)
	*********** gtkcolorbutton.h ***********
	Implemented new widget: GtkColorButton

	* gtk.defs: deprecated API removed:
	GtkSignalRunType >> completely
	GtkSubMenuDirection >> completely
	GtkSubMenuPlacement >> completely

	* gtk.defs: deprecated API replaced:
	GtkPreview* >> GtkColorButton
	(apply the included gcb.patch to make sawfish-ui work with this change!)

	* gcb.patch: patch for sawfish, to make sawfish-ui work with the new GtkColorButton
	instead of GtkPreview (which has been removed from rep-gtk now)

2009-05-06  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.spec.in: - require gtk2 instead of gtk+
			   - add --libdir=%{_libdir} to configure flags

2009-05-04  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.spec.in: fixup %files section

2009-05-03  Christopher Bratusek <zanghar@freenet.de>
	* gtk.defs: remove gtk+2.16 changes

	* configure.in: require gtk+ 2.6

	* configure.in: bump to 0.18.6

2009-03-24  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: only display cairo version if it exists
                        display additional infos

	* NEWS: updated

2009-03-18  Christopher Bratusek <zanghar@freenet.de>
	* Makefile.in: fixed libdir issue

2009-03-06  Christopher Bratusek <zanghar@freenet.de>
	* Makefile.in
	* configure.in: don't ignore datarootdir setting

2009-03-04  Christopher Bratusek <zanghar@freenet.de>
	* configure.in: 0.18.4 released, bump to 0.18.5
		        bump minimum gtk+ to 2.15.5

	* gtk.defs:

	[
		~ = not completely implemented
		* = completely implemented
		^ not completely removed
		# to implement low priority
		! to remove high priority
	]

	> implemented new stuff:
		- GtkArrowPlacement ~
		- GtkArrowType -> none (= GTK_ARROW_NONE) *
		- GtkButtonBoxStyle -> center (= GTK_BUTTONBOX_CENTER) *
		- GtkSensitivityType ~
		- GtkMovementStep -> horizontal-pages (= GTK_MOVEMENT_HORIZONTAL_PAGES) *
		- GtkScrollStep ~
		- GtkWrapMode -> word-char (= GTK_WRAP_WORD_CHAR) *
		- GtkIMPreeditStyle ~
		- GtkIMStatusStyle ~
		- GtkPackDirection ~
		- GtkPrintPages ~
		- GtkPageSet ~

	> removed deprecated stuff:
		- GtkSignalRunType ^
		- GtkSubmenuDirection ^
		- GtkSubmenuPlacement ^

	> new stuff marked for implemention:
		- GtkNumberUpLayout #
		- GtkPageOrientation #
		- GtkPrintQuality #
		- GtkPrintDuplex #
		- GtkUnit #
		- GtkTreeViewGridLines #
		- GtkDragResult #

	> deprecated stuff marked for removal:
		- GtkPreviewType !

2009-02-03  Christopher Bratusek <zanghar@freenet.de>
	* install-sh: added for libtool < 2.2

	* config.h.in: updated

2009-02-02  Christopher Bratusek <zanghar@freenet.de>
	* autogen.sh: don't use bash-specific syntax [Mark Diekhans]

2009-02-01  Christopher Bratusek <zanghar@freenet.de>
	* MAINTAINERS: update my mail address

2009-01-18  Christopher Bratusek <zanghar@freenet.de>
	* rep-gtk.spec.in: - use _tmppath instead of /var/tmp/
	                   - update BuildRequires
			   - package rep-gtk.pc
			   - merge changes from ritz's spec-file

	* Makefile.in: don't install example files

2009-01-06  Christopher Bratusek <nano-master@gmx.de>
	* Makefile.in: install rep-gtk.pc in $prefix$libdir

2009-01-01  Christopher Bratusek <nano-master@gmx.de>
	* autogen.sh: small rework

	* configure.in
	* Makefile.in
	* rep-gnome.h
	* rep-libglade.h
	* gnomelib.defs
	* gnomeui.defs
	* gnome-canvas.defs
	* libglade.defs
	* gnomelib-support.c
	* gnome-canvas-support.c
	* gnomeui-support.c
	* libglade-support.c: dropped libgnome, libgnomeui, libgnomecanvas and libglade bindings

	* examples/test-libglade
	* examples/rep-ui
	* examples/gnome-test
	* examples/canvas-pixbuf-test
	* examples/simple.glade
	* examples/canvas-test
	* examples/rep-ui.glade: dropped examples related to dropped bindings

	* NEWS: updated

	* config.h.in: regenerated

	* install-sh: don't ship it, added by libtoolize

	* rep-gtk.ebuild.in: docs are already install by install-rule
			     drop libglade dep
			     drop gnome USEFLAG
			     configure magic

	* rep-gtk.spec.in: drop -gnome package
			   drop -glade package
			   configure magic
			   source archive is a .tar.bz2

2008-12-30  Christopher Bratusek <nano-master@gmx.de>
	* rep-gtk.ebuild.in: don't leak copyright info and update keywords

2008-12-24  Christopher Bratusek <nano-master@gmx.de>
	* autogen.sh: fixed for libtool >2.2

2008-12-20  Christopher Bratusek <nano-master@gmx.de>
	* configure.in
	* rep-gtk.ebuild.in: Added ebuild [Harald van Dijk]

2008-12-18  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: librep dropped rep.m4, update rep-gtk accordingly

	* man/news.texi: updated

	* Makefile.in: replace one gkt by gtk ... fucked typos

2008-12-11  Christopher Bratusek <nano-master@gmx.de>
	* rep-gtk.c: 1 more code cleanup

2008-11-22  Christopher Bratusek <nano-master@gmx.de>
	* NEWS: updated

	* configure.in: 0.18.3 released, bump to 0.18.4

	* MAINTAINERS: added me

2008-11-17  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: fixed an issue with autoconf 2.61 [Wang Diancheng]

2008-10-25  Christopher Bratusek <nano-master@gmx.de>
	* rep-types.c
	* rep-gtk.c: fixed broken GtkCombo issue

2008-10-23  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: 0.18.2 snapshot released, bump to 0.18.3

2008-10-18  Christopher Bratusek <nano-master@gmx.de>
	* NEWS: updated

	* rep-gtk.spec.in: install all examples in %docdir

	* rep-gtk.c
	* rep-gtk.h
	* gtk-compat.c: removed functions no longer available in GTK 2.4+

2008-10-01  Christopher Bratusek <nano-master@gmx.de>
	* BUGS: updated

	* README: updated

	* HACKING: updated

2008-09-02  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: small fixup

2008-08-14  Christopher Bratusek <nano-master@gmx.de>
	* .cvsignore: removed and set svn:ignore

	* autogen.sh: check for A[MC]_PROG_LIBTOOL

	* configure.in: 0.18.1 released, bump to 0.18.2

	* Makefile.in: use @prefix@/lib for the .pc file

2008-08-09  Christopher Bratusek <nano-master@gmx.de>
	* rep-gtk.c
	* rep-types.c: going on with code-cleanup

2008-08-08  Christopher Bratusek <nano-master@gmx.de>
	* configure.in
	* Makefile.in: fix a problem in the autotools

	* rep-gtk.c
	* rep-gtk.h
	* rep-types.h: small code-cleanup.
		allows building with CFLAGS="-Wall -ansi -pedantic"

	* NEWS: added

2008-08-06  Christopher Bratusek <nano-master@gmx.de>
	* configure.in: also use librep's .pc file for
		printing version info at the end of configure
		- remove -Wno-error from paranoia CFLAGS

2008-08-05  Christopher Bratusek <nano-master@gmx.de>
	* rep-gtk.spec.in: updated packager

	* configure.in: librep (trunk) has now a .pc file
		- use it for version-checking

	* rep-gtk.pc.in: add librep to requirements

	* Makefile.in: only include rules.mk if it exists

2008-07-31  Christopher Bratusek <nano-master@gmx.de>

	* MAINTAINERS: added

	* rep-gtk.c: add atk-accessibility support
		(thanks to Shobbit Mathur)

	* rep-gtk.pc.in: added a .pc file for rep-gtk

	* configure.in: bump version to 0.18.1
		- bump gtk req to 2.6
		- bump glib req to 2.6
		- bump glade req to 2.4
		- print usefull things at the end
		- added --enable-paranoia option
			(compile with paranoia CFLAGS)

	* gtk.defs: dropped an function no longer available
		in gtk+ 2.5 or newer (seen in gentoo linux)

	* Makefile.in: recognize DEVELOPMENT_CFLAGS
		- rename realclean to distclean
		- rename cvsclean to svnclean
		- add --tag=CC to rep_LIBTOOL
		- install examples in @prefix@/share/doc/rep-gtk-@version@
		- install the .pc file

	* rep-gtk.spec.in: update the spec-file

	* examples/rep-ui.glade
	* examples/simple.glade: update the glade-files to glade-2

	* gtk.defs
	* gtk-compat.c
	* examples/status-icon: added a new Widget: Status-Icon
		- Also known as Panel-Notification-Area-Widget
		- Also add an example for devs to know how to use it
		(Wang Diancheng)

	* BUGS
	* HACKING: updated both files

	* config.guess
	* config.sub: updated

	* autogen.sh: add --force --copy to libtoolize flags

	* config.h.in: updated

2006-01-31  John Harper  <jsh@unfactored.org>

	* gtk-compat.c: applied patch from Michal Maruška
	<mmc@maruska.dyndns.org> to fix problems with newer gtk
	versions

2004-04-03  John Harper  <jsh@unfactored.org>

	* rep-gtk.h, gtk-compat.c: better fix for thing below, #ifdef
	out the functions when using Gtk >= 2.4

2004-03-30  John Harper  <jsh@unfactored.org>

	* rep-gtk.h, gtk-compat.c: changed `label' arg of two functions
	to be `const gchar *', not `gchar *'

2004-01-11  John Harper  <jsh@unfactored.org>

	* gnomeui.defs, gnome-canvas.defs: deleted some functions that
	no longer seem to exist

2003-08-01  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.18

2003-02-12  John Harper  <jsh@unfactored.org>

	* rep-gtk.h, rep-gtk.c: changed guint's to GTypes. Adapted from
	a patch by Aron Griffis <agriffis@gentoo.org> in #105848

2002-11-09  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.17

2002-11-03  John Harper  <jsh@unfactored.org>

	* gtk.defs (gtk_widget_set_size_request,
	gtk_widget_get_size_request): added these two functions

2002-10-24  John Harper  <jsh@unfactored.org>

	* examples/text.jl, examples/hello.jl, examples/clist.jl:
	tidied up these examples

	* gdk.defs (GdkSelection): cast items to integers to avoid
	generating compiler errors on IRIX

2002-07-11  John Harper  <jsh@unfactored.org>

	* gtk-compat.c (gtk_color_selection_set_color_interp,
	gtk_color_selection_get_color_interp): Include space for alpha
	in calls to gtk_color_selection_{get,set}_color. Fixes #87959

2002-06-22  John Harper  <jsh@unfactored.org>

	* configure.in: version 0.16

	* rep-gtk.spec.in: updated, untested

2002-04-01  John Harper  <jsh@unfactored.org>

	* gtk.defs, glib.defs (g-signal-connect, g-signal-disconnect):
	moved to glib.defs file, take GObject arg, and named g-foo not
	gtk-foo

	* examples/text.jl, examples/hello.jl, examples/gnome-test,
	examples/clist.jl, examples/canvas-test,
	examples/canvas-pixbuf-test: changed for signal functions

2002-03-31  John Harper  <jsh@unfactored.org>

	* configure.in: don't use gnome-config to check if gnome is
	installed or not, use "pkg-config libgnome-2.0"

2002-03-14  John Harper  <jsh@pixelslut.com>

	* rep-gtk.c (sgtk_build_args, Fg_object_new, Fg_object_get,
	Fg_object_list): made this stuff actually work! g-object-list
	is a new function, it lists all properties of an object.
	g-object-new and g-object-set have a new calling format:

	(g-object-new TYPE PROP1 VALUE1 PROP2 VALUE2 ...)
	(g-object-set OBJECT PROP1 VALUE1 PROP2 VALUE2 ...)

	* rep-gtk.c (sgtk_gvalue_to_rep): gracefully handle GValue's
	containing null pointers (return Qnil instead of crashing)

2002-03-13  jacob berkman  <jacob@ximian.com>

	* rep-gtk.c (sgtk_try_missing_type): add GtkTextIter (from jsh,
	fixes #74528)

2002-03-03  John Harper  <jsh@pixelslut.com>

	* gtktext.defs: added some default values

	* rep-gtk.c (sgtk_gvalue_to_rep): accept G_TYPE_INVALID to
	silence error messages

2002-02-13  Sander Vesik <Sander.Vesik@sun.com>

	* gtk-compat.c: update menu_popup_position to reflect API
	change in gtk+

2002-02-12  John Harper  <jsh@unfactored.org>

	Status: gtk mostly all ported except for Tree classes. Removed
	deprecated functions.

	* gtktext.defs, gtk.defs, glib.defs, gdk.defs, gdk-pixbuf.defs:
	updated for current state of gtk-2. gtktext.defs is a new file
	describing the various classes of the new Text widget. Only
	thing left to do for complete gtk coverage (modulo from the
	usual number of functions that aren't easy to wrap) is the new
	Tree widget

	* rep-types.c, rep-gtk.h, gtk-support.c, gtk-compat.c,
	configure.in, build-gtk.jl, README, Makefile.in: more random
	porting changes

	* examples/hello.jl, examples/clist.jl: ported
	* examples/text.jl: new, needs more code

2002-01-30  John Harper  <jsh@unfactored.org>

	All modules now compile and link. Though the gnome example
	scripts crash immediately. I'll leave that adventure for
	another day..

	* rep-gtk.h, rep-gtk.c, gnomeui.defs, gnome-canvas.defs,
	gnome-canvas-support.c: whacked until it compiles

	* configure.in: fixed canvas configuration

	* build-gtk.jl: bodged support for short and ushort types

2002-01-29  John Harper  <jsh@unfactored.org>

	* rep-types.c, rep-gtk.spec.in, rep-gtk.h, rep-gtk.c,
	libglade-support.c, gnomeui-support.c, gnomelib.defs,
	gnomelib-support.c, gnome-canvas.defs, gnome-canvas-support.c,
	gnome-canvas-pixbuf.defs, glib.defs, gdk-pixbuf.defs,
	configure.in, README-GTK-2, README, Makefile.in, HACKING,
	AUTHORS, .cvsignore:

	* examples/test-libglade, examples/rep-ui, examples/hello.jl,
	examples/gtk-dialog.jl, examples/gnome-test, examples/clist.jl,
	examples/canvas-test, examples/canvas-pixbuf-test:

	Lots of minor changes. Changed module hierarchy so that all
	modules are installed under the gui.gtk-2 prefix. This will
	allow both versions of rep-gtk to be installed concurrently

	I remove some of Sander's fixes to enable me to tackle the task
	of porting the GNOME2 library descriptions (probably need to
	add support for GError first, which may be ugly since
	build-gtk.jl doesn't allow "invisible" arguments which would be
	the best way of converting between GError and lisp exceptions)

	Still need to update the gtk.defs file, ugh..

2002-01-17 Sander Vesik <sander.vesik@sun.com>

	* configure.in: disable libgnome binding for the moment

	* gdk-pixbuf.defs: gdk_pixbuf_from_file now has an additional
	  parameter

	NB! This is an unauthorised temporary patch to have a building
	rep-gtk for gnome2 alpha release.

Sat Dec  1 13:57:17 2001  Owen Taylor  <otaylor@redhat.com>

	* gnomelib.defs (includes): Remove references
	to now gone gnome_file_convert().

	* rep-gtk.[ch]: Remove unneeded args information
	from sgtk_object_info().

	* rep-gtk.c (sgtk_find_arg_info): Remove unused function.

	* rep-gtk.c (gtk_signal_new_generic): Remove
	unnecessary call to gtk_object_class_add_signals.

	* rep-gtk.[ch] (sgtk_build_args): Rework to use GObject
	introspection instead of sgtk_object_info.

	* rep-gtk.[ch]: (sgtk_valid_arg_type): Rename from
	valid_arg(), take GType instead of GtkArg.

	* rep-gtk.c: Make gtk_object_new/set/get use GObject/
	GParamSpec instead of obsolete GtkObject equivalents.

	* rep-gtk.c (sgtk_get_type_info): Use type "qdata"
	rather than a hash table.

	* rep-gtk.c (sgtk_find_object_info): Use %lu when
	printing out types.

	* gtk-support.c: Include gdkx.h not gdkprivate.h.

	* rep-gtk.h: Fix guint => GType.

2001-11-17  John Harper  <jsh@unfactored.org>

	* rep-libglade.h, rep-gtk.c, libglade.defs, libglade-support.c,
	gtk.defs, configure.in, config.h.in, README.gtk-defs:

	More porting. Libglade now compiles. Haven't tested it (don't
	have a new enough glade), but it _should_ work..

2001-11-17  John Harper  <jsh@unfactored.org>

	* rep-gtk.h, rep-gtk.c, gtk.defs, glib.defs, gdk.defs,
	build-gtk.jl, Makefile.in:

	More porting. Use GType[Info] and GObject almost wholly instead
	of GtkType[Info] and GtkObject now

	Also reinstated the full-callback calling mechanism since lots
	of Gtk functions use it and don't provide closured variants..

	Biggest task left is to support the GParam stuff for
	constructing and modifying GObjects.

2001-11-16  John Harper  <jsh@unfactored.org>

	* rep-gtk.h, rep-gtk.c, rep-gnome.h, gtk.defs, gtk-support.c,
	gnomelib.defs, gnomelib-support.c, gdk.defs, configure.in,
	build-gtk.jl:

	Many hacks (some extremely dubious) to get to first stage of
	Gtk-2 port.

	Current status: gtk/gdk wrappers compile (i.e. you must specify
	--without-gnome --without-libglade --without-gdk-pixbuf to
	configure) and they mostly work

	I basically did the minimum necessary to make it compile. Then
	added support for GClosure's and GValue's so that signal
	handling works. The hello.jl and clist.jl example programs run
	correctly without modification

	Next step: remove the GtkArg crap, random cleanup, use
	GObject's instead of GtkObject's, and various gtk_ -> g_
	changes..

2001-01-17  John Harper  <jsh@eazel.com>

	* rep-gtk.spec.in: unset LC_ALL, LINGUAS and LANG before
	building

2000-12-04  John Harper  <jsh@eazel.com>

	* configure.in: version 0.15

2000-11-25  John Harper  <jsh@eazel.com>

	* gtk.defs (gtk_window_set_transient_for): marked that PARENT
	arg may be null

2000-10-31  John Harper  <jsh@eazel.com>

	* gnomeui.defs: added most definitions from the
	<libgnomeui/gnome-winhints.h> header file. Left out some
	meaningless stuff that never made it to the actual wm-spec

2000-09-26  John Harper  <john@dcs.warwick.ac.uk>

	* gnome-canvas.defs (gnome_canvas_item_scale,
	gnome_canvas_item_rotate): commented out, these functions are
	apparently MIA in recent gnome-libs

2000-09-20  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.14

2000-09-18  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_init_with_args): after calling gtk_set_locale
	() call setlocale (LC_NUMERIC, "C") for rep's benefit (floating
	point lameness)

	* configure.in, config.h.in: check for <locale.h> and setlocale ()

2000-09-11  John Harper  <john@dcs.warwick.ac.uk>

	* gtk.defs (gtk_editable_get_chars): changed return type from
	`none' to `string'. Pointed out by Gregory Merchan
	<merchan@baton.phys.lsu.edu>

2000-09-04  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.14pre1

2000-08-29    <john@dcs.warwick.ac.uk>

	* rep-gtk.spec.in: rep-gtk-gnome and rep-gtk-libglade both
	require exactly @version@ of rep-gtk

2000-08-03  John Harper  <john@dcs.warwick.ac.uk>

	* gtk.defs (gtk_menu_get_attach_widget): added missing arg-name

	* autogen.sh: added

2000-07-24  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.spec.in: updated

2000-07-23  John Harper  <john@dcs.warwick.ac.uk>

	Changed the module hierarchy, now:

		gui.gtk.{gtk,libglade,gdk-pixbuf}
		gui.gnome.{lib,ui,canvas,canvas-pixbuf,libglade}

	the old names all still work

	* Makefile.in: various changes

	* rep-gtk.c: renamed module, export rep-gtk-version

	* libglade-support.c, gnomeui-support.c, gnomelib-support.c,
	gnome-canvas-support.c, rep-types.c: renamed modules, added
	aliases

	* gnome-canvas-pixbuf.defs, gdk-pixbuf.defs: add alias
	definitions

	* configure.in: require rep 0.13 (unreleased)

	* build-gtk.jl: added new global option `alias'

2000-07-20  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in: include --mode argument to libtool (from David
	Kaelbling <drk@sgi.com>)

	* rep-gtk.c: remove ^M that got into a macro definition somehow
	(from David Kaelbling <drk@sgi.com>)

2000-07-12  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.13a

2000-07-11  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: make the various permutations of libraries work
	correctly. Only compile gnome-canvas-pixbuf if both gnomeui and
	gdk-pixbuf libraries are being built. Also, don't error out if
	a library FOO can't be found, unless --with-FOO was specified

	[ some of this is from a patch by Ceri Storey ]

2000-07-10  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.spec.in: remembered that g[td]k-1.2.defs is now
	called g[td]k.defs

2000-07-09  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: version 0.13

	* Makefile.in: gnome-canvas-pixbuf requires gnomeui, not
	gnome-canvas

	* gnomeui-support.c (sgtk_gnome_init): preserve rep's fatal
	signal handlers, they're more useful than the gnome handler

	* gnomeui-support.c (sgtk_gnome_string_callback): handle a null
	string being passed in

	* configure.in: require rep 0.12+

	* rep-gtk.h, rep-gtk.c, libglade-support.c, gnomelib-support.c,
	gnome-canvas-support.c: removed rep < 0.12 compatibility junk

	* rep-types.c (rep_dl_init): create a proper (but empty)
	module, instead of just returning a symbol

2000-07-06  John Harper  <john@dcs.warwick.ac.uk>

	* gnomeui.defs (GnomeDialog): cleaned up
	(GnomeStockPixmapNameType): new string-enum

	* gtk.defs (gtk_clist_select_row, gtk_clist_unselect_row):
	column parameters default to zero

2000-07-05  John Harper  <john@dcs.warwick.ac.uk>

	* gtk.defs (gtk_window_position): reinstated this pseudonym for
	gtk_window_set_position

	* examples/canvas-test: connected `delete_event' signal

	* gnomeui.defs (gnome_icon_entry_set_icon): added

	* gnomeui-support.c (sgtk_gnome_init): #if 0 the code to pass
	options to and from gnome_init (). It's so fucking braindead
	that on seeing an option it doesn't understand, it terminates
	the program

2000-07-04  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c: some fixes for arg conversion from repv to
	GTK_TYPE_POINTER. Kludged type support for GdkPixbuf. Fixed
	some string-enum stuff

	* build-gtk.jl: support `define-string-enum' form. Added extra
	global option `(system-init-code STRING)' for code that should
	only be run when REP_GTK_DONT_INITIALIZE isn't set

	* gdk-pixbuf.defs, gnome-canvas-pixbuf.defs, configure.in,
	Makefile.in: wrap these two libraries

	* gdk-1.2.defs, gtk-1.2.defs: removed the `-1.2' from the file
	names

	* gtk.defs: merged a bunch of stuff from guile-gtk HEAD

	* gnomeui.defs: unhid the GnomeStock definitions

	* gnomeui-support.c: always call gnome_init (). Take the app id
	and version from `*gnome-app-id*' and `*gnome-app-version*',
	else make something up

	* rep-types.c (sgtk_char_to_rep): new function

	* examples/canvas-pixbuf-test: new test program

	* gnomelib.defs (gnome_mime_nametemplate): deleted, this
	function has been removed from recent gnome-libs?

2000-07-02  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.12

2000-07-01  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs (gtk_window_add_accel_group,
	gtk_window_remove_accel_group, gtk_window_set_transient_for,
	gtk_window_set_default_size, gtk_window_set_modal): new functions
	(gtk_window_position): renamed gtk_window_set_position

2000-06-28  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs: changed some int's to bool's, added some more
	function definitions

2000-06-23  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_is_a_gtkobj): check for GTK_IS_OBJECT and
	!GTK_OBJECT_DESTROYED (avoids segmentation faults)

2000-06-18  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c: various cleanups to help 64-bit targets, from
	George Lebl <jirka@5z.com>

2000-06-16  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.11

	* rep-gtk.spec.in: require rep 0.12+

2000-06-14  John Harper  <john@dcs.warwick.ac.uk>

	* gnomeui.defs (gnome-dialog-new): fixed typo

2000-05-27  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs: added GtkTearoffItemMenu type and constructor

2000-05-26  John Harper  <john@dcs.warwick.ac.uk>

	* libglade.defs (GladeXML): specify a custom getter for
	textdomain field

	* libglade-support.c (sgtk_glade_xml_textdomain): getter for
	glade-xml-textdomain

	* configure.in, config.h.in: check <glade/glade-xml.h> to test
	if the `textdomain' field of the GladeXML structure has been
	renamed to `txtdomain'. Define LIBGLADE_XML_TXTDOMAIN if so

2000-05-09  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.10

2000-04-17  John Harper  <john@dcs.warwick.ac.uk>

	* gnomeui.defs (gnome_stock_pixmap_widget,
	gnome_stock_pixmap_widget_at_size): made window argument
	null-ok

2000-04-16  John Harper  <john@dcs.warwick.ac.uk>

	Added support for using libglade with GNOME widgets

	* libglade-support.c (GLADE_INIT_FUNC): macro naming the
	function to call to initialize libglade, defaults to glade_init

	* configure.in, Makefile.in: if wrapping both GNOME and
	libglade, build an extra module `libglade-gnome' which is
	exactly the same as `libglade' but linked against the GNOME
	libs and calls glade_gnome_init () instead of glade_init ()

	* examples/test-libglade: pass `--gnome' option to use GNOME
	version of libglade wrappers

2000-04-14  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs (GtkAccelGroup): new boxed type
	(gtk_widget_add_accelerator, gtk_widget_remove_accelerator,
	gtk_widget_remove_accelerators, gtk_widget_accelerator_signal,
	gtk_widget_add_events, gtk_label_set_pattern,
	gtk_label_parse_uline, gtk_menu_shell_select_item,
	gtk_menu_shell_deselect, gtk_menu_shell_activate_item,
	gtk_menu_set_accel_group, gtk_menu_get_uline_accel_group,
	gtk_menu_ensure_uline_accel_group, gtk_menu_get_attach_widget,
	gtk_menu_set_tearoff_state, gtk_menu_set_title,
	gtk_menu_reorder_child): wrap these functions

	[ partly from a patch by Richard Kilgore
	<rkilgore@kilgoresolutions.com> ]

2000-04-09  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c, libglade-support.c, gnomeui-support.c,
	gnomelib-support.c, gnome-canvas-support.c: put all subroutines
	into suitably named modules if rep supports them; remove all
	direct references to symbols' `value' fields

2000-04-07  John Harper  <john@dcs.warwick.ac.uk>

	* build-gtk.jl (output-footer): emit code to define the
	subroutines in a module of the correct name (suitably ifdef'ed
	by rep version)

2000-03-26  John Harper  <john@dcs.warwick.ac.uk>

	* gnomelib-support.c (rep_dl_init): provide `gnomelib' not `gnome'

2000-03-11  John Harper  <john@dcs.warwick.ac.uk>

	* config.sub, config.guess: updated from libtool-1.3.4

	* Makefile.in: changed how rep is called to not assume that
	load-path contains `.' (it doesn't anymore)

2000-03-08  John Harper  <john@dcs.warwick.ac.uk>

	* rep-types.c (sgtk_rep_to_cvec): cast cvec.ptr to char* before
	doing arithmetic on it (patch from Aron Griffis
	<agriffis@bigfoot.com>)

	* rep-gtk.c (timeout_callback): set timed_out even if not going
	to break out of gtk-main
	(set_timeout): only create timeout if one doesn't already exist

2000-03-06  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.9.1

	* rep-gtk.h: include config.h

2000-03-05  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.9

2000-03-01  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_event_loop): when exiting, only restart the
	outer timeout if it hasn't already fired

2000-02-29  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (timeout_callback): only propagate the timeout if
	it's from the innermost event loop
	(sgtk_event_loop): call set_timeout () before exiting

	* gtk-compat.c (menu_popup_position): ensure that the chosen
	position always leaves the menu totally on-screen (using code
	borrowed from gtk/gtkmenu.c)

	* gdk-1.2.defs: added gdk_screen_width and gdk_screen_height
	functions

	* gtk-1.2.defs: added field `allocation' to GtkWidget
	* gtk-support.c (sgtk_gtk_widget_get_allocation): new function

	* build-gtk.jl: new option in object fields, (getter FUNCTION)

2000-02-27  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in: don't link against REP_LIBS, it's not necessary
	and may cause problems when there's static libraries there

	* rep-gtk.h: put #ifndef's around GTK compatibility functions
	decls

2000-02-25  John Harper  <john@dcs.warwick.ac.uk>

	* rep-types.c, rep-gtk.c: use non-fixnum numeric types where
	appropriate

2000-02-23  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_event_loop): fix the idle handling

2000-02-13  John Harper  <john@dcs.warwick.ac.uk>

	* build-gtk.jl: support `in', `out' and `inout' modes for
	composite types. Support the `extra-init-code' option. Add a
	new option `(provide FEATURE)' for generating rep dl stubs

	* gtk-1.2.defs: define enum GtkAnchorType (for canvas), and
	object GtkProgress

	* rep-types.c: new file, the rep conversions for basic C/GLIB
	types. This is built into it's own dl module `sgtk-types'

	* rep-gtk.c (sgtk_set_protect, sgtk_get_protect,
	sgtk_new_protect): functions for manipulating the gc protection
	shells

	* build-gtk.jl: new directive `include', like `import' but for
	the same module; new directive `define-type', the same as the
	function of the same name. Only add type info structures if
	they're non-null. New protection type `*result*' for callbacks,
	protect function for lifetime of result object. Implemented
	cvec-to-rep conversion, and `tvec' types. New argument option
	`protect-during', add gc protection for the lifetime of the
	function call. Output finish options _after_ converting result

	* rep-gnome.h, gnomelib.defs, gnomelib-support.c, gnomeui.defs,
	gnomeui-support.c, gnome-canvas.defs, gnome-canvas-support.c,
	gnome-canvas-glue.c: initial GNOME binding. Lots of this was
	grabbed from guile-gnome

	* rep-gtk.spec.in, configure.in, Makefile.in: updated for GNOME
	bindings

2000-02-08  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_event_loop): rewritten to use
	rep_max_sleep_for (), has the bonus of cleaning up the idle
	timeout

2000-02-06  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_event_loop): if threads are waiting, don't
	call gtk_main (), handle all events then yield

	* rep-gtk.c: invoke callbacks within dynamic roots

	* rep-gtk.h: define rep_INTERFACE if not already

2000-01-11  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_init_with_args): call gtk_set_locale ()
	before gtk_init ()

2000-01-09  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.8

1999-12-31  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs (gtk_paned_set_position): new function
	(GtkCList): added fields `rows' and `cols'

1999-12-26  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_rep_to_flags): be more defensive in what we
	accept

1999-12-18  John Harper  <john@dcs.warwick.ac.uk>

	* rep-ui.glade, rep-ui: example of using libglade with rep--a
	simple lisp front end

	* rep-gtk.c (make_gtkobj): don't add the proxy to its list of
	protects, we'll mark it manually
	(gtkobj_marker_hook): mark the proxy when it's referenced; mark
	its protects _always_ (since they're added to the globally
	protected data if the proxy is freed)

	* rep-gtk.c (sgtk_proxy_object): remove the prevp field which I
	had erroneously copied from the 0.17 diffs (I rejected it the
	first time for a reason)

1999-12-17  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c: merged diffs from guile-gtk 0.16->0.17; most
	notably this maintains protection over data associated with
	gc'd proxies. Also adds support for GdkRectangle types

	* build-gtk.jl, libglade-support.c: c-type of `full-callback'
	is now `sgtk_protshell*' not `repv'

	* Makefile.in: add "rep_requires='gtk'" to the libglade .la
	file to cause gtk to automagically get loaded first

	* rep-gtk.c, libglade-support.c: don't use rep_dl_feature
	anymore, it breaks when any libraries are opened RTLD_GLOBAL

1999-12-16  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.spec.in: added new package, rep-gtk-libglade

	* libglade-support.c (sgtk_glade_xml_new_from_string): new
	function, calls glade_xml_new_from_memory
	* libglade.defs (glade-xml-new-from-string): added

	* libglade-support.c (rep_dl_init): look for
	REP_GTK_DONT_INITIALIZE environment setting

	* configure.in: added --with[out]-libglade options

	* build-gtk.jl: use `const char *' for static_string types, not
	just `char *'

	* libglade.defs: API definition for libglade (constructs widget
	trees from Glade-created XML files)

	* libglade-support.c: signal connection code, and dl stubs

	* configure.in, Makefile.in: recognize and build libglade
	wrapper when available

1999-12-15  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-support.c (gdk_event_visibility_state): removed //
	comment (pointed out by Daniel Burrows
	<Daniel_Burrows@brown.edu>)

1999-12-06  John Harper  <john@dcs.warwick.ac.uk>

	* Makefile.in: include LDFLAGS when linking (from Ralf Fassel
	<ralf@akutech.de>)

1999-12-05  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.7

	* gtk-compat.c (gtk_widget_draw_interp): new function, calls
	gtk_widget_draw () with a null second argument

	* gtk-1.2.defs (gtk_widget_draw_interp, gtk_preview_put,
	gtk_preview_draw_row): defined these functions

1999-12-02  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c, gtk-1.2.defs, gdk-1.2.defs: i18n changes from
	Yukihiro Nakai <nakai@internetsolutions.co.jp>

1999-11-30  John Harper  <john@dcs.warwick.ac.uk>

	* build-gtk.jl: make separate glue for each set of definitions

	* rep-gtk.c (rep_dl_init): just call sgtk_init_gtk_gtk_glue ()
	instead of initialising everything manually

	* rep-gtk.c (sgtk_init_with_args): not running stand-a-lone if
	rep_recurse_depth >= 0, not < 0 (why did this work before?)

1999-11-28  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.6

1999-11-25  John Harper  <john@dcs.warwick.ac.uk>

	* build-gtk.jl: updated for single namespace etc

1999-11-17  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_init_with_args): if REP_GTK_DONT_INITIALIZE
	is defined non-zero in the environment, then don't call
	gtk_init (), this helps when compiling scripts

1999-11-10  John Harper  <john@dcs.warwick.ac.uk>

	* configure.in: require rep 0.8+ (lexical scope), bump rep-gtk
	version to 0.6

	* build-gtk.jl (output-field-accessors): fixed for lexical
	scoping

1999-10-29  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs (gtk_widget_lock_accelerators,
	gtk_widget_unlock_accelerators,
	gtk_widget_accelerators_locked): new function definitions

1999-10-24  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.5

1999-10-22  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-compat.c, gtk-1.2.defs (gtk_menu_popup_interp): added an
	extra (optional) argument, a cons cell defining the position at
	which to show the menu

1999-10-20  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c: accept long integers for all but character types,
	create long integers when values are too large

1999-10-03  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.4.2

1999-10-01  John Harper  <john@dcs.warwick.ac.uk>

	* config.sub, config.guess: updated from libtool 1.3.3

1999-09-18  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.4.1

	* Makefile.in: added $(installdir) to help rpm builds

1999-09-12  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.4

1999-09-08  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs: added the GtkPlug and GtkSocket widgets
	* gdk-1.2.defs, gtk-support.c: added a made-up gdk_window_xid
	function

1999-08-31  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.3

1999-08-29  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs (GtkCheckMenuItem): changed type of `active'
	field from uint to bool

1999-08-26  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs (GtkCheckMenuItem): define the `active' field

1999-08-16  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.2

1999-08-15  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs (gtk_clist_moveto): the row_align and
	column_align arguments now default to 0.5

1999-08-10  John Harper  <john@dcs.warwick.ac.uk>

	* gtk-1.2.defs (gtk_label_set_justify,
	gtk_label_set_line_wrap): define these functions
	(gtk_signal_connect, gtk_box_pack_start, gtk_box_pack_start):
	remove optional boolean parameters, since there's no way of
	telling a non-specified option from a specified-as-nil option

1999-08-03  John Harper  <john@dcs.warwick.ac.uk>

	* version 0.1

1999-06-06  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_init_substrate): use rep_map_inputs to add
	all existing registered input fds to the GTK scheme of things
	(rep_dl_kill): new function, try to unhook as many of the GTK
	functions as possible

1999-06-04  John Harper  <john@dcs.warwick.ac.uk>

	* build-gtk.jl (output-function): when splitting arguments from
	a list, don't signal errors if some don't exist; just set them
	to nil

1999-05-29  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c: only call gtk_main_quit () if gtk_main_level ()
	returns non-zero

1999-05-19  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c: should have solved the SIGCHLD problem under Linux
	now (turned out to be a bug in gdm)

1999-04-28  John Harper  <john@dcs.warwick.ac.uk>

	* build-gtk.jl: some fixes, support null helper_valid functions

	* README.guile-gtk, rep-gtk.h, rep-gtk.c, gtk-support.c,
	gdk-1.2.defs: synchronised with release 0.16 of guile-gtk

	* Makefile.in: compile build-gtk before executing it

1999-04-18  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (reset_idle_timeout): always reset
	idle_timeout_counter to zero, not just when there's no timeout
	already set

1999-03-28  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (idle_timeout_callback): ensure that the first time
	rep_on_idle is called each idle period, it's passed zero
	(sgtk_callback_postfix, idle_timeout_callback): call
	rep_proc_periodically to ensure no subprocess deaths are
	overlooked

1999-03-23  John Harper  <john@dcs.warwick.ac.uk>

	* build-gtk.jl (output-type-predicate): outputs type
	predicates, TYPE-p for each boxed or object type

	* rep-gtk.c (sgtk_callback_marshal): pass the object invoking
	the callback as the first argument to the function
	(Fgtk_callback_trampoline): now a Lisp DEFUN
	(sgtk_register_input_fd, sgtk_deregister_input_fd): hooks for
	librep input handling
	(sgtk_callback_postfix): should be called after any callback
	that might invoke lisp code, handles catch/throw and redisplay
	(sgtk_event_loop): handles the librep one-second idle timeouts,
	and calls the rep_proc_periodically function to reap
	subprocesses
	(sgtk_sigchld_callback): new function, calls gtk_main_quit so
	that the sgtk_event_loop is entered and the process can be
	collected
	(Fgtk_standalone_p): now a Lisp DEFUN
	(sgtk_init_with_args): set standalone to false if gtk_init was
	called before we tried to
	(rep_dl_init): set rep_dl_feature to `gtk'

	* build-gtk.jl: outputs field accessor functions, for TYPE and
	FIELD, these will be called `TYPE-FIELD', and `TYPE-FIELD-set'
	(if the field is settable), for example `gtk-widget-style'

	* gtk-1.2.defs: added the `parent' field to GtkWidget

	* configure.in: add some warning options if using GNU CC

	* examples/hello.jl, examples/clist.jl: cleaned up

1999-03-19  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c: hijack the rep event loop and input registering
	functions

	* rep-gtk.c (rep_dl_init): return t

1999-03-18  John Harper  <john@dcs.warwick.ac.uk>

	* rep-gtk.c (sgtk_object_proxy): removed the `prevp' field,
	just use a next field, then regenerate the entire list when
	sweeping

